Info

Retrieve metadata.

get

Retrieve system metadata information.
If the optional domain query parameter is specified,
the relevant tenant metadata information will be returned together.
System metadata:

  • web_domain
  • private_ipv4
  • public_ipv4
  • enable_ipv6
  • private_ipv6
  • public_ipv6
  • primary_dns_server
  • secondary_dns_server
    Tenant metadata:
  • name
  • domain
  • website
  • avatar_url
  • enable_ms365_integration
  • ms365_authorization_endpoint
Query parameters
domainstringOptional

Use the domain query parameter to retrieve just a subset of a collection.

Responses
chevron-right
200

OK

application/json
web_domainstringOptional

The web domain for PortSIP PBX

private_ipv4stringOptional

The private IPv4 of system.

public_ipv4stringOptional

The public IPv4 of system.

enable_ipv6booleanOptional

Indicates if IPv6 would be enabled.

Default: true
private_ipv6stringOptional

The private IPv6 of system.

public_ipv6stringOptional

The public IPv6 of system.

primary_dns_serverstringOptional

The primary DNS server.

secondary_dns_serverstringOptional

The secondary DNS server.

namestring · min: 1 · max: 1024Optional

The name of the tenant.

domainstring · min: 1 · max: 280Optional

The SIP domain of tenant.
It is usually a fully qualified domain name (FQDN). If there is no FQDN, you can also use the IP address of the PBX server as the SIP domain. The SIP domain name is only used for SIP message authentication and does not require analysis.

websitestring · max: 255Optional

The official website of tenant.

avatar_urlstringRead-onlyOptional

The relative path to file url for file downloading.

Example: /api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK
enable_ms365_integrationbooleanOptional

Microsoft 365 SSO integration enabled or not.

ms365_authorization_endpointstringOptional

The Microsoft Identity Provider authorization endpoint for this tenant.

get
/info